#ifndef		_IMAGES_INCLUDED
#define		_IMAGES_INCLUDED

typedef struct _imageinfo_s
{
	int		width;
	int		height;

	char	*buf;
	long	buflen;

	int		freeable;
} imageinfo_t;

#endif

#define	IMAGE_TGA		1
#define IMAGE_BMP		2

void	_free_image( imageinfo_t *info );
void	_image_mirror_v( imageinfo_t *info );

imageinfo_t	*_load_image( file_t *file, int type );
imageinfo_t	*_load_tga( file_t *file );